Tray icon not visible

June 07, 2012 13:09 - Marcin Kocur

Status: Rejected Start date: June 07, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/statusicon Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.2, 3.2.3   

Description

After KDE 4.8.2 > 4.8.3 update there is no tray icon wisible in KDE, although you can use it as well as it was there. So right-click

menu works, mouse wheel scroll over works, it takes place between other icons, but the very graphics is not visible.

I removed ~/.config/audacious and checked version 3.2.2 and 3.2.3. It's probably KDE's fault but please, do some workaround :)

History

#1 - June 07, 2012 13:10 - Marcin Kocur

Audacious's icon in the screen should be placed between white kmail's icon and yellow psi icon.

#2 - June 09, 2012 03:14 - John Lindgren

- Status changed from New to Rejected

We just use GtkStatusIcon, so there's not really much we can do.  Sorry.

#3 - June 09, 2012 10:54 - Marcin Kocur

https://bugs.kde.org/show_bug.cgi?id=301497

#4 - June 09, 2012 17:53 - Thomas Lange

Did you try updating the icon cache?

#5 - June 11, 2012 21:01 - Marcin Kocur

You mean kbuildsycoca4? Then yes.

#6 - June 13, 2012 23:55 - Thomas Lange

No, I did not mean kbuildsycoca4.

Try running:

update-desktop-database -q

gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor

#7 - June 14, 2012 17:36 - Marcin Kocur

It recreated icon-theme.cache but icon is still invisible.

#8 - June 14, 2012 20:26 - Marcin Kocur

Funny enough, I was using nouveau. Now switched back to nvidia binary driver and icon is there.
